Tryton - Issues

 

Issue6738

Title Position and count labels on one2many and tree widgets
Priority feature Status resolved
Superseder Not count current/total records in o2m
View: 5988
Nosy List ced, perilla, pokoli, reviewbot, roundup-bot
Type feature request Components sao
Assigned To ced Keywords review
Reviews 35611002
View: 35611002

Created on 2017-09-02.08:15:50 by perilla, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
Captura de pantalla de 2017-09-05 13-00-45.png perilla, 2017-09-05.20:03:25 image/png
center.png perilla, 2018-03-21.08:37:05 image/png
comparison.png perilla, 2018-03-21.08:38:07 image/png
left.png perilla, 2018-03-21.08:37:53 image/png
Messages
New changeset e19282c20d57 by C├ędric Krier in branch 'default':
Add position and count label on one2many widget and tree view
http://hg.tryton.org/sao/rev/e19282c20d57
review35611002 updated at https://codereview.tryton.org/35611002/#ps410001
msg39251 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-23.11:53:19
I went with the badge having a fixed size and a tooltip with complete information. On small screen, the badges are hidden because it takes really too much space.
review35611002 updated at https://codereview.tryton.org/35611002/#ps390001
review35611002 updated at https://codereview.tryton.org/35611002/#ps370001
review35611002 updated at https://codereview.tryton.org/35611002/#ps340002
msg39152 (view) Author: [hidden] (perilla) Date: 2018-03-21.08:40:10
On reference to Cedric suggestion to put badge at center,
https://codereview.tryton.org/35611002/diff/280001/src/tab.js#newcode430

I upload some screenshots,
one on center, one on left, and one comparison
review35611002 updated at https://codereview.tryton.org/35611002/#ps320001
review35611002 updated at https://codereview.tryton.org/35611002/#ps280001
review35611002 updated at https://codereview.tryton.org/35611002/#ps260001
review35611002 updated at https://codereview.tryton.org/35611002/#ps240001
review35611002 updated at https://codereview.tryton.org/35611002/#ps220001
review35611002 updated at https://codereview.tryton.org/35611002/#ps200001
review35611002 updated at https://codereview.tryton.org/35611002/#ps180001
review35611002 updated at https://codereview.tryton.org/35611002/#ps160001
review35611002 updated at https://codereview.tryton.org/35611002/#ps140001
review35611002 updated at https://codereview.tryton.org/35611002/#ps120001
review35611002 updated at https://codereview.tryton.org/35611002/#ps100001
review35611002 updated at https://codereview.tryton.org/35611002/#ps80001
review35611002 updated at https://codereview.tryton.org/35611002/#ps60001
review35611002 updated at https://codereview.tryton.org/35611002/#ps40001
msg35543 (view) Author: [hidden] (perilla) Date: 2017-09-05.19:57:30
Indeed label is necessary on tree views too.
review35611002 updated at https://codereview.tryton.org/35611002/#ps20001
msg35529 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-09-05.09:26:52
The implementation of this feature must be done by mimic of record-message signal (but not using signal).
review35611002 updated at https://codereview.tryton.org/35611002/#ps1
msg35473 (view) Author: [hidden] (perilla) Date: 2017-09-02.08:15:50
I am wondering if sao have position and count labels on one2many widgets
History
Date User Action Args
2018-03-24 00:22:07roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg39307
2018-03-23 15:54:53reviewbotsetmessages: + msg39268
2018-03-23 11:53:19cedsettype: feature request
messages: + msg39251
2018-03-23 11:48:31cedsetstatus: chatting -> testing
assignedto: perilla -> ced
2018-03-22 23:46:34reviewbotsetmessages: + msg39244
2018-03-22 16:48:20reviewbotsetmessages: + msg39224
2018-03-21 08:44:42reviewbotsetmessages: + msg39153
2018-03-21 08:40:11perillasetmessages: + msg39152
2018-03-21 08:38:07perillasetfiles: + comparison.png
2018-03-21 08:37:53perillasetfiles: + left.png

Showing 10 items. Show all history (warning: this could be VERY long)